jQuery(document).ready(function($) {
    var image_frame;
    $('#mantenimiento_imagen_button').on('click', function(e) {
        e.preventDefault();
        
        if (image_frame) {
            image_frame.open();
            return;
        }
        
        image_frame = wp.media({
            title: 'Seleccionar imagen de mantenimiento',
            button: {
                text: 'Usar esta imagen'
            },
            multiple: false
        });

        image_frame.on('select', function() {
            var attachment = image_frame.state().get('selection').first().toJSON();
            $('#mantenimiento_imagen').val(attachment.url);
        });

        image_frame.open();
    });
});